Subject: Re: [PATCH 04/13] refs: expose peeled object ID via the iterator

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 8 Oct 2025 15:45:00 +0200

On Tue, Oct 07, 2025 at 07:52:43AM -0700, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Both the "files" and "reftable" backend are able to store peeled values
> > for tags in the respective formats. This allows for a more efficient
> > lookup of the target object of such a tag without having to manually
> > peel via the object database.
> >
> 
> In the 'files' backend, I thought only packed-refs store peeled values?

Yup, peeled values may or may not be available with the "files" backend,
depending on whether or not a reference is packed. But the paragraph
doesn't really contradict this, does it?

Patrick